Bug 85182 - LibreOffice's custom dialogs default focus on folder rather than filename
Summary: LibreOffice's custom dialogs default focus on folder rather than filename
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0 target:4.4.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: LO-File-Dialog
  Show dependency treegraph
 
Reported: 2014-10-18 20:50 UTC by Yousuf Philips (jay) (retired)
Modified: 2015-12-17 08:37 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-10-18 20:50:20 UTC
When using LibreOffice's own dialogs (Tools > Options > General > Use LibreOffice dialogs), when you open the open, save, or save as dialogs, the cursor defaults to be in the path field rather than the filename field. I was initially filing this bug as i felt the save and save as dialog should always default the filename field, similar to OS dialogs, but think this should also happen in the open dialog, as you maybe already in the correct folder and just want to type out the filename.
Comment 1 Yousuf Philips (jay) (retired) 2014-10-18 20:56:05 UTC
Just tested 4.3 daily and it works correctly there but doesnt in master.

Version: 4.3.4.0.0+
Build ID: bea74d73f4782b17f5286327f15db60ab3ae85de
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:libreoffice-4-3, Time: 2014-10-15_05:34:17

Version: 4.4.0.0.alpha0+
Build ID: 3b6ee58652d99accd610425264114d1d5b3330df
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-10-15_21:41:26
Comment 2 Cor Nouws 2014-10-18 21:14:39 UTC
thanks!
Comment 3 Rostislav 'R.Yu.' Okulov 2014-12-18 10:50:14 UTC
bibisect done.

git bisect log
git bisect start
# good: [812c4a492375ac47b3557fbb32f5637fc89d60d9] source-hash-dea4a3b9d7182700abeb4dc756a24a9e8dea8474
git bisect good 812c4a492375ac47b3557fbb32f5637fc89d60d9
# bad: [0777cd085a7633a48e03d25948cc67fce87b7ac7] source-hash-b800d0b6ad74ce4a9adb23b865dd174d1eefa47b
git bisect bad 0777cd085a7633a48e03d25948cc67fce87b7ac7
# bad: [8677ba6e74a774fb44ec7831f14e53d8663f59ed] source-hash-eb213e490d9a366477b921d1a408d85c4638499e
git bisect bad 8677ba6e74a774fb44ec7831f14e53d8663f59ed
# bad: [42455e7bcd46db5523f7f8e1931bbd0bd4b51cfc] source-hash-b5608fd429790a3d1153341b2c86303b7090b15a
git bisect bad 42455e7bcd46db5523f7f8e1931bbd0bd4b51cfc
# good: [253e662b25e57508dbc46753f0f28af36d5f4e25] source-hash-f7d51f43deda5e28df63f1b8e168e84838d0d0b4
git bisect good 253e662b25e57508dbc46753f0f28af36d5f4e25
# good: [8461c942c2060278f64283368705e0183709c4d7] source-hash-c7d390bf21623c148ff5c3955561b903d9581da8
git bisect good 8461c942c2060278f64283368705e0183709c4d7
# good: [14dd07abf36b67545552130557c06b3ae1855ff0] source-hash-67c20d42b5ca06458b154356877f4ad5952736f4
git bisect good 14dd07abf36b67545552130557c06b3ae1855ff0
# bad: [db39c7aad664b60c46f31289f79b3b58b0800a1d] source-hash-a7e1ffc248bed431693c6d50c02e7c936c67f360
git bisect bad db39c7aad664b60c46f31289f79b3b58b0800a1d
# bad: [afdb28caf97495cd3696588a4ee78647745ed6e7] source-hash-0d55277947fbc2f92fb9fe40dcfa804dc619c37a
git bisect bad afdb28caf97495cd3696588a4ee78647745ed6e7
# bad: [30a457695d2ddf0d72df627a1ab6afae53053344] source-hash-f90eb33a268bdcd1c52aea5670a58267b0907096
git bisect bad 30a457695d2ddf0d72df627a1ab6afae53053344
# first bad commit: [30a457695d2ddf0d72df627a1ab6afae53053344] source-hash-f90eb33a268bdcd1c52aea5670a58267b0907096


30a457695d2ddf0d72df627a1ab6afae53053344 is the first bad commit
commit 30a457695d2ddf0d72df627a1ab6afae53053344
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Sat Oct 18 06:20:45 2014 +0000

    source-hash-f90eb33a268bdcd1c52aea5670a58267b0907096
    
    commit f90eb33a268bdcd1c52aea5670a58267b0907096
    Author:     Szymon Kłos <eszkadev@gmail.com>
    AuthorDate: Sat Jun 28 16:10:39 2014 +0200
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Mon Jun 30 16:31:47 2014 +0100
    
        DLG_FPICKER_EXPLORERFILE conversion to .ui
    
        Change-Id: I5d8f5d0182fb6af5111b60caa29912d313c2efa0

:100644 100644 e474bf6d4a2f74d722eb7d299871ce89e8d39bec dc29c7eb94675462ed8870d67c1852c5750fb5f5 M      autogen.log
:100644 100644 4d620ccf26f70ee9de7f37b299e5aa6f33773f5c 9175649a432c48063d0a6677bbcf98bec57b120d M      ccache.log
:100644 100644 972e561a774b722c3d995550a34482da00fa41a2 ec7186e7691e26fc8b8f65886cec7b1e99444780 M      commitmsg
:100644 100644 416d41f246963775c8763f27b69ad9ec81266fc0 0a031d6808382f09f1cbd8933e8590fcf3c3a99b M      make.log
:040000 040000 4ce3752cd72bfb66587459b923fad5c02937040d 413fdc559df56dbb0be9fa4d204aee4763757c07 M      opt
Comment 4 Matthew Francis 2014-12-27 09:27:21 UTC
The below commit appears to be where the behaviour changed.

Adding Cc: to eszkadev@gmail.com. Could you possibly take a look at this? Thanks

commit f90eb33a268bdcd1c52aea5670a58267b0907096
Author: Szymon Kłos <eszkadev@gmail.com>
Date:   Sat Jun 28 16:10:39 2014 +0200

    DLG_FPICKER_EXPLORERFILE conversion to .ui
    
    Change-Id: I5d8f5d0182fb6af5111b60caa29912d313c2efa0
Comment 5 Szymon Kłos 2014-12-28 17:59:50 UTC
https://gerrit.libreoffice.org/#/c/13685/
Comment 6 Commit Notification 2014-12-29 23:28:57 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=87e0ae677a7d39e4890d470a3537113c9ab2fa95

fdo#85182 : default focus on folder rather than filename

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Cor Nouws 2014-12-30 08:53:45 UTC
(In reply to Commit Notification from comment #6)
> Szymon Kłos committed a patch related to this issue.
> It has been pushed to "master":

Thanks Szymon!
Will you also submit the patch for 4.4?

Can you maybe also have a look at bug 83373 and bug 83371 ?
Comment 8 Yousuf Philips (jay) (retired) 2014-12-30 09:36:17 UTC
I pushed Szymon's patch into 4.5 and have cherry-picked it for 4.4 awaiting someone else to second its approval.

@Cor: I've created a meta bug for LO's custom dialog bugs/enhancements, so please do add any others you have to it (bug 87860).
Comment 9 Commit Notification 2015-01-05 10:03:17 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=42f645a96ce17534e94f3d221a400e92636d3694&h=libreoffice-4-4

fdo#85182 : default focus on folder rather than filename (4.4)

It will be available in 4.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Robinson Tryon (qubit) 2015-12-17 08:37:20 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]